package com.duanledexian.spring.cloud.producer.api;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * The interface Hello api.
 *
 * @author Administrator
 */
@FeignClient(name = "service-producer")
public interface IHelloApi {

    /**
     * Say hello string.
     *
     * @param name the name
     * @return the string
     */
    @GetMapping("/api/v1/sayHello")
    String sayHello(@RequestParam("name") String name);

}
