package com.duanledexian.spring.cloud.producer.controller;

import com.duanledexian.spring.cloud.producer.api.IHelloApi;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author Administrator
 */
@RestController
@RequestMapping("/api/v1")
@Slf4j
public class HomeController {


    @Autowired
    private IHelloApi helloApi;

    @GetMapping("/sayHello")
    public String sayHello(String name) {
        name += "!";
        return helloApi.sayHello(name);
    }

}
