package com.duanledexian.spring.cloud.producer.controller;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.client.RestTemplate;

/**
 * @author Administrator
 */
@RestController
@RequestMapping("/api/v1")
@Slf4j
public class HomeController {


    @Autowired
    private RestTemplate restTemplate;

    @GetMapping("/sayHello")
    public String sayHello(String name) {
        name += "!";
        String url = "http://service-producer/api/v1/sayHello?name=" + name;
        return restTemplate.getForObject(url, String.class);
    }

}
