package com.duanledexian.spring.cloud.producer.controller;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

/**
 * @author Administrator
 */
@RestController
@RequestMapping("/api/v1")
@Slf4j
public class HomeController {

    @Value("${server.port}")
    String port;

    @GetMapping("/sayHello")
    public String sayHello(String name) {
        return "hi " + name + " ,i am from port:" + port + " time:" + new Date();
    }

}
